﻿@model  SportsClub.Models.Register.RegisterProgramModel
@{
    Layout = null;
}

<div class="tourny-reg-section">
    <div class="form-group">
        <p>Select your section and schedule</p>
    </div>
    <label class="req">Available sections</label>
    @{
        var counter = 0;
    }


    @Html.HiddenFor(m => m.ChessTournament.Section, new { @id = "selectedChessSection" })

    <div>
        @Html.ValidationMessageFor(m => m.ChessTournament.Section)
        @if (Model.ChessTournament.ScheduleAttribute.Sections != null)
        {
            foreach (var item in Model.ChessTournament.ScheduleAttribute.Sections)
            {
                <div class="radio chess-sections" style="margin-left:10px">
                    <label>
                        @Html.RadioButtonFor(m => m.ChessTournament.Section, item.Name, new  { @name = "ChessSection", @class = "chess_section_radio_changed", @id = string.Format("section_{0}", counter) })
                        <span class="check"></span>
                        @Html.LabelFor(m => m.ChessTournament.Section, string.Format("{0}", item.Name), new { @for = string.Format("section_{0}", counter) })
                    </label>
                </div>
                counter++;
            }
        }
    </div>

</div>

<div class="tourny-reg-section">
    <label class="req">Available schedules</label>
    @{
        counter = 0;
    }
    @Html.ValidationMessageFor(m => m.ChessTournament.Schedule)
    @Html.HiddenFor(m => m.ChessTournament.ScheduleStartDate, new { @id = "chess_schedule_startdate" })
    @Html.HiddenFor(m => m.ChessTournament.ScheduleEndDate, new { @id = "chess_schedule_enddate" })

    @Html.HiddenFor(m => m.ChessTournament.Schedule, new { @id = "selectedChessSchedule"})

    @if (Model.ChessTournament.ScheduleAttribute.Schedules != null)
    {
        foreach (var item in Model.ChessTournament.ScheduleAttribute.Schedules)
        {


            @Html.Hidden(string.Format("item_startdate_schedule_{0}", counter), item.StartDate, new { @id = string.Format("schedule_{0}_StartDate", counter) })
            @Html.Hidden(string.Format("item_enddate_schedule_{0}", counter), item.EndDate, new { @id = string.Format("schedule_{0}_EndDate", counter) })
            @Html.HiddenFor(m => m.ChessTournament.ScheduleEndDate, new { @id = string.Format("schedule_{0}_EndDate", counter) })
            <div class="radio chess-schedules" style="margin-left:10px">
                <label>
                    @Html.RadioButtonFor(m => m.ChessTournament.Schedule, item.GetSchName(), new { @name = "ChessSchedule", @id = string.Format("schedule_{0}", counter), @class = "chess_schedule_radio_changed" })
                    <span class="check"></span>
                    @Html.LabelFor(m => m.ChessTournament.Schedule, item.GetSchFullName(), new { @for = string.Format("schedule_{0}", counter) })
                </label>
            </div>

            counter++;
        }
    }
</div>

@if (Model.ChessTournament.ScheduleAttribute.MaxOfByes.HasValue && Model.ChessTournament.ScheduleAttribute.MaxOfByes > 0)
{
    counter = 0;

    <div class="tourny-reg-section">
        <p>Do you want to request 1/2 point byes?</p>
        <span>
            You can ask the tournament organizer for a 1/2 point bye if you cannot participate for one or more games.
            You may request a maximum of @Model.ChessTournament.ScheduleAttribute.MaxOfByes byes and must let the tournament organizer know about your bye requests before round @Model.ChessTournament.ScheduleAttribute.LastRoundBye .
            @if (!string.IsNullOrEmpty(Model.ChessTournament.ScheduleAttribute.ByeNote))
            {
                <strong>Note:&nbsp</strong>
                @Model.ChessTournament.ScheduleAttribute.ByeNote
            }
        </span>
        <div class="checkbox">
            @Html.ValidationMessageFor(model => Model.ChessTournament.ByeRequests)
            @for (int i = 0; i < Model.ChessTournament.ScheduleAttribute.NumberOfRounds; ++i)
            {
                <label>
                    @Html.CheckBoxFor(m => m.ChessTournament.ByeRequests[i], new { @id = string.Format("bye_{0}", counter) })
                    <span class="check"></span>
                    @Html.LabelFor(m => m.ChessTournament.ByeRequests[i], string.Format("Request 1/2 point for round {0}", (i + 1)), new { @for = string.Format("bye_{0}", counter) })
                </label>
                <div class="clearfix"></div>
                counter++;
            }
        </div>

    </div>
}
<script type="text/javascript">

   if (!$(".tourny-reg-section .chess-sections input").is(':checked')) {
       $(".tourny-reg-section .chess-sections input:first").prop("checked", true);
       var selectedChessSection = $(".tourny-reg-section .chess-sections input").val();
       $("#selectedChessSection").val(selectedChessSection);
   }

   if (!$(".tourny-reg-section .chess-schedules input").is(':checked')) {
       $(".tourny-reg-section .chess-schedules input:first").prop("checked", true)
       var selectedChessSchedule = $(".tourny-reg-section .chess-schedules input").val();
       $("#selectedChessSchedule").val(selectedChessSchedule);
   }

</script>